fields

## Class EncryptedDataRecord

- java.lang.Object
- - fields.DataRecord
  - - fields.EncryptedDataRecord

- All Implemented Interfaces:
    Field

      public class EncryptedDataRecord
      extends DataRecord

  Model for the WM-Bus Data-Field, when encrypted. Does not know its original contents.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class fields.DataRecord

      `DataRecord.DataRecordHeaderBase, DataRecord.DIF, DataRecord.DIFE, DataRecord.VIF, DataRecord.VIFE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Byte[]` | `bytes`
    `private java.lang.Byte[]` | `verification`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedDataRecord(java.lang.Byte[] verification, java.lang.Byte[] bytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Byte>` | `getBytes()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
    `java.util.List<java.lang.Byte>` | `getBytesInTxOrder()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.

    - ### Methods inherited from class fields.DataRecord

      `addDIFE, addVIFE, fluctuate, getData, getDif, getDIFEs, getVif, getVIFEs, setData, setDIF, setVIF, toString, validateData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bytes

          private java.lang.Byte[] bytes

    - #### verification

          private java.lang.Byte[] verification

  - ### Constructor Detail

    - #### EncryptedDataRecord

          EncryptedDataRecord(java.lang.Byte[] verification,
                              java.lang.Byte[] bytes)

  - ### Method Detail

    - #### getBytes

          public java.util.List<java.lang.Byte> getBytes()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
      Specified by:
        `getBytes` in interface `Field`
      Overrides:
        `getBytes` in class `DataRecord`
      Returns:
        List of Bytes representing this field, MSB first

    - #### getBytesInTxOrder

          public java.util.List<java.lang.Byte> getBytesInTxOrder()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
      Specified by:
        `getBytesInTxOrder` in interface `Field`
      Overrides:
        `getBytesInTxOrder` in class `DataRecord`
      Returns:
        List of Bytes representing this field, LSB first